Get saved queries
GET /api/v1/saved-queries/{savedQueryId}: request fields and declared response contract.
GET/api/v1/saved-queries/{savedQueryId}
| Permission | saved-query.read |
|---|---|
| Workspace scope | required |
| Scope target | workspace |
Parameters
| Field | Type | Required | Nullable | Default |
|---|---|---|---|---|
| savedQueryId | string | required | non-null | — |
Query parameters: none.
Response
200
| Field | Type | Required | Nullable | Default |
|---|---|---|---|---|
| data | object | required | non-null | — |
| data.id | string | required | non-null | — |
| data.definitionVersion | unknown | required | non-null | — |
| data.revision | integer | required | non-null | — |
| data.key | string | required | non-null | — |
| data.title | string | required | non-null | — |
| data.description | string | optional | non-null | — |
| data.kind | string | required | non-null | — |
| data.target | unknown | required | non-null | — |
| data.where | unknown | optional | non-null | — |
| data.composite | unknown | optional | non-null | — |
| data.sort | array | optional | non-null | — |
| data.defaultLimit | integer | optional | non-null | — |
| data.tags | array | required | non-null | — |
| data.source | object | required | non-null | — |
| data.source.kind | string | required | non-null | — |
| data.source.ownerTier | "workspace" | "workspaceBlueprint" | "templateInstallation" | required | non-null | — |
| data.source.sourceRef | unknown | optional | non-null | — |
| data.source.packageKey | string | optional | non-null | — |
| data.source.namespace | string | optional | non-null | — |
| data.source.packageVersion | string | optional | non-null | — |
| data.source.sourceHash | string | optional | non-null | — |
| data.source.constructKey | string | optional | non-null | — |
| data.source.sourcePayload | unknown | optional | non-null | — |
| data.createdAt | string | optional | non-null | — |
| data.updatedAt | string | optional | non-null | — |
Declared failures
| SAVED_QUERY_NOT_FOUND | 404 — not retryable |
|---|
Readback
This method returns the current state it read.
- savedQueries.get
Request example
Schematic only. Replace placeholders with real values and include all required nested fields.
GET /api/v1/saved-queries/{savedQueryId} HTTP/1.1
Authorization: Bearer <token>
x-merulan-workspace-id: <workspace-id>